# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/deislabs/oras
%global goipath         github.com/deislabs/oras
Version:                0.11.1

%gometa

%global common_description %{expand:
ORAS enables various client libraries to push OCI Artifacts to OCI Conformant
registries.

ORAS is both a CLI for initial testing and a Go Module to be included with
your CLI, enabling a native experience.}

%global golicenses      LICENSE
%global godocs          docs examples BUILDING.md README.md implementors.md

Name:           %{goname}
Release:        4%{?dist}
Summary:        OCI Registry As Storage

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Updates to containerd 1.5
Patch0:         %{url}/commit/235ef92fa5f370734628aad485eeafcba8f2c1cd.patch

BuildRequires:  golang(github.com/containerd/containerd/content)
BuildRequires:  golang(github.com/containerd/containerd/content/local)
BuildRequires:  golang(github.com/containerd/containerd/errdefs)
BuildRequires:  golang(github.com/containerd/containerd/images)
BuildRequires:  golang(github.com/containerd/containerd/log)
BuildRequires:  golang(github.com/containerd/containerd/reference)
BuildRequires:  golang(github.com/containerd/containerd/remotes)
BuildRequires:  golang(github.com/containerd/containerd/remotes/docker)
BuildRequires:  golang(github.com/docker/cli/cli/config)
BuildRequires:  golang(github.com/docker/cli/cli/config/configfile)
BuildRequires:  golang(github.com/docker/cli/cli/config/credentials)
BuildRequires:  golang(github.com/docker/cli/cli/config/types)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/pkg/term)
BuildRequires:  golang(github.com/docker/docker/registry)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/opencontainers/image-spec/specs-go)
BuildRequires:  golang(github.com/opencontainers/image-spec/specs-go/v1)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/semaphore)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/docker/distribution/configuration)
BuildRequires:  golang(github.com/docker/distribution/registry)
BuildRequires:  golang(github.com/docker/distribution/registry/auth/htpasswd)
BuildRequires:  golang(github.com/docker/distribution/registry/storage/driver/inmemory)
BuildRequires:  golang(github.com/phayes/freeport)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# Needed for pkg/content/content_test.go
mkdir .test
%gocheck
%endif

%files
%license LICENSE
%doc docs examples BUILDING.md README.md implementors.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Davide Cavalca <davide@fedoraproject.org> - 0.11.1-2
- Fix broken test

* Sun May 16 2021 Davide Cavalca <davide@fedoraproject.org> - 0.11.1-1
- Initial package

